/* mini-at/src/mini-atd/time.c
 *
 *  (c)2006, Laurence Withers, <l@lwithers.me.uk>.
 *  Released under the GNU GPLv2. See file COPYING or
 *  http://www.gnu.org/copyleft/gpl.html for details.
*/



/* AT_MAGIC
 *
 *  This number, "MNAT" in ASCII, is prepended to the message (and its complement concatenated).
 *  This stops random writes to the socket from being interpreted.
 */
#define AT_MAGIC 0x4D4E4154



/* AT_MSG_SIZE
 *
 *  The biggest packet we read/write from the socket. This limits the length of the commandline,
 *  so we ideally want it to be as large as possible.
 */
#define AT_MSG_SIZE 0x8000



/* struct at_msg
 *
 *  The header of any message written to the socket. After the header, we find the path and input
 *  filename path data, followed by num_args * [int arg_len, arg]. The structure ends with 
 *  ~AT_MAGIC.
 */
struct at_msg {
    int magic;          // must be AT_MAGIC
    int version;        // (major << 20) | (minor << 10) | micro
    int when;           // time_t
    int cmd_len;        // length of path, in bytes, excluding \0
    int in_fn_len;      // for stdin filename, 0 if no redirection
    int num_args;       // number of commandline arguments, always > 0
};



/* options for text editors
kate: replace-trailing-space-save true; space-indent true; tab-width 4;
vim: expandtab:ts=4:sw=4
*/
