# These are external variables, and shouldn't clash with anything else
#  mini_at
#  mini_at_BUILT
#

if [ -z ${mini_at_BUILT} ]
then
    mini_at="obj/mini-at"
    [ -z "${LIBISO8601_FLAGS}" ] && LIBISO8601_FLAGS="$(pkg-config libiso8601 --libs --cflags)"
    EXTRAS="${LIBISO8601_FLAGS}"

    echo "Building application ${mini_at}..."

    do_cmd source src/mini-at/build.monolithic || return 1

    MODIFIED=0
    for test in ${MONOLITHIC_TESTS} ${SRC}
    do
        if [ ${test} -nt ${mini_at} ]
        then
            MODIFIED=1
            break
        fi
    done

    if [ ${MODIFIED} -ne 0 ]
    then
        echo " Compiling..."

        do_cmd ${CC} ${CFLAGS} -I obj -o "${mini_at}" ${SRC} ${EXTRAS} || return 1

        print_success "Application built"
    else
        print_success "Application up to date"
    fi

    mini_at_BUILT=1

fi

# kate: replace-trailing-space-save true; space-indent true; tab-width 4;
# vim: expandtab:ts=4:sw=4
