/* mini-at/src/mini-at/TopSource.c
 *
 *  (c)2006, Laurence Withers, <l@lwithers.me.uk>.
 *  Released under the GNU GPLv2. See file COPYING or
 *  http://www.gnu.org/copyleft/gpl.html for details.
*/



/* send_message()
 *
 *  Sends the message `msg' (of `size' bytes) to the unix socket `sockname'. Returns 0 on success.
 */
int send_message(const char* sockname, const char* msg, int size)
{
    int fd;
    ssize_t wr;
    struct sockaddr_un addr;

    fd = socket(PF_UNIX, SOCK_DGRAM, 0);
    memset(&addr, 0, sizeof(addr));
    addr.sun_family = AF_UNIX;
    strcpy(addr.sun_path, sockname);

    wr = sendto(fd, msg, size, 0, (struct sockaddr*)&addr, sizeof(addr));
    if(wr == -1) {
        perror("sendto");
        return 1;
    }

    return 0;
}



/* options for text editors
kate: replace-trailing-space-save true; space-indent true; tab-width 4;
vim: expandtab:ts=4:sw=4
*/
