/* mini-at/src/mini-at/time.c
 *
 *  (c)2006, Laurence Withers, <l@lwithers.me.uk>.
 *  Released under the GNU GPLv2. See file COPYING or
 *  http://www.gnu.org/copyleft/gpl.html for details.
*/



/* parse_time()
 *
 *  Parses an ISO-8601 date/time. We support any of the ISO-8601 formats. Uses libiso8601. On error,
 *  returns (time_t)-1.
 */
time_t parse_time(const char* str)
{
    struct iso8601_date iso;
    time_t t;

    if(iso8601_parse(str, &iso, 0, 0)) return (time_t)-1;
    iso8601_to_time_t(&t, &iso);
    return t;
}



/* options for text editors
kate: replace-trailing-space-save true; space-indent true; tab-width 4;
vim: expandtab:ts=4:sw=4
*/
