# These are external variables, and shouldn't clash with anything else
#  mini_atd
#  mini_atd_BUILT
#

if [ -z ${mini_atd_BUILT} ]
then
    mini_atd="obj/mini-atd"
    EXTRAS="-D_GNU_SOURCE"

    echo "Building application ${mini_atd}..."

    do_cmd source src/mini-atd/build.monolithic || return 1

    MODIFIED=0
    for test in ${MONOLITHIC_TESTS} ${SRC}
    do
        if [ ${test} -nt ${mini_atd} ]
        then
            MODIFIED=1
            break
        fi
    done

    if [ ${MODIFIED} -ne 0 ]
    then
        echo " Compiling..."

        do_cmd ${CC} ${CFLAGS} -I obj -o "${mini_atd}" ${SRC} ${EXTRAS} || return 1

        print_success "Application built"
    else
        print_success "Application up to date"
    fi

    mini_atd_BUILT=1

fi

# kate: replace-trailing-space-save true; space-indent true; tab-width 4;
# vim: expandtab:ts=4:sw=4
